﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace MvcApp_Kendo.Models
{
    public class EmployeeListModel
    {
        public EmployeeListModel()
        {

        }

        public string TitleName { get; set; }
        public int TitleId { get; set; }

        [UIHint("PartialViewTitles")]
        public Titles Titles { get; set; }

        public string FirstName { get; set; }
        public int Id { get; set; }

        [DataType(DataType.DateTime)]
        public DateTime DateOfBirth { get; set; }

        public string Reference { get; set; }

        [DataType(DataType.Currency)]
        [Range(0, int.MaxValue)]
        public decimal? WeeklyHours { get; set; }
        //public IEnumerable<EmployeeList> EmployeeListData { get; set; }
    }

    public class Titles
    {
        public int TitleId { get; set; }
        public string TitleName { get; set; }
    }

    public class EmployeeList
    {
        public string Title { get; set; }
        public string EmployeeName { get; set; }
        public int EmployeeId { get; set; }
        public string DateOfBirth { get; set; }
        public string Reference { get; set; }
    }
}